Bananian Linux

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000129Bananian Linux[All Projects] Hardwarepublic2015-04-28 18:552015-07-14 10:21
Reportercmdann 
Assigned ToNico 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionnot fixable 
Product Version15.04 
Target VersionFixed in Version 
Summary0000129: Banana Pro Access Point only allows 5
DescriptionWhen using the Banana Pro with Bananian Linux, and enabling the Pro as a wireless access point you are unable to allow more than 5 clients to connect. This topic has been discussed in detail on the Lemaker forums. The issue has been identified by the dev team in the thread with a link to the GitHub repo for the project. I have also opened a ticket on their project. The issue has been identified and reproduced by LeMaker. As soon as this fix is implemented we need to get this into Bananian as soon as possible. 

http://forum.lemaker.org/thread-15297-1-1-banana_pro_ap.html [^]

https://github.com/LeMaker/linux-sunxi/tree/lemaker-3.4/drivers/net/wireless/ap6210 [^]

Steps To Reproduce1. Install Bananian
2. Configure for the Banana Pro
3. Install dhcp server
4. install hostapd
5. connect to device as a client
6. watch as 6th client is rejected
Additional InformationThe issue has been identified by the developer team at LeMaker. The issue has also been verified by the team to me that this is not a hardware issue, but is a driver issue. They have stated they are working on the issue right now, we will want to get this added to this project as soon as possible.
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0000202feedbackNico Can't connect more than 5 devices in AP mode 

-  Notes
(0000235)
Omega (reporter)
2015-04-28 20:18

I'm wondering, is there any way that perhaps Bananian can collaborate with LeMaker, sunxi and any others to ensure a fix makes it into the distribution?
(0000236)
Nico (manager)
2015-04-28 20:44

We are in continuous contact with LeMaker about several topics. If there is a fix, we will implement it.
(0000237)
cmdann (reporter)
2015-04-28 20:45

Thanks Nico, I have been told they are looking at it right now, it has been identified as a driver issue as opposed to a hardware issue so hopefully soon we will have this fix.
(0000238)
Omega (reporter)
2015-04-28 20:45

Awesome!  I think cmdann has already done a lot of legwork too.  Hopefully we can head this off before more people have issues with it. :)
(0000245)
cmdann (reporter)
2015-05-14 02:18

I was given this driver: https://drive.google.com/file/d/0B-lsDmEO_xDKZXNZQWNiTFcwYWs/view?usp=sharing [^]

Can we try adding it to Bananian? If you tell me how I can test it out myself but I have to admit I am not very experienced doing this.
(0000247)
Omega (reporter)
2015-05-26 04:15

@Nico -- Were you able to review cmdann's files yet by any chance?
(0000248)
cmdann (reporter)
2015-06-08 04:58

Hey guys not trying to be a bother but I would be happy to help however I can with this if you can point me in the right direction, even testing if you like I have access to the boards just let me know.
(0000257)
Nico (manager)
2015-07-14 07:04

This is a limitation/bug in the Linux firmware for the ap6210 device and I got a statement from Lemaker that it is not fixable.

The Android firmware does not have this problem but does not work in Linux.

- Issue History
Date Modified Username Field Change
2015-04-28 18:55 cmdann New Issue
2015-04-28 20:18 Omega Note Added: 0000235
2015-04-28 20:43 Nico Assigned To => Nico
2015-04-28 20:43 Nico Status new => assigned
2015-04-28 20:43 Nico Target Version => 16.04
2015-04-28 20:44 Nico Note Added: 0000236
2015-04-28 20:45 cmdann Note Added: 0000237
2015-04-28 20:45 Omega Note Added: 0000238
2015-05-14 02:18 cmdann Note Added: 0000245
2015-05-26 04:15 Omega Note Added: 0000247
2015-06-08 04:58 cmdann Note Added: 0000248
2015-07-14 07:04 Nico Note Added: 0000257
2015-07-14 07:04 Nico Status assigned => resolved
2015-07-14 07:04 Nico Resolution open => not fixable
2015-07-14 10:21 Nico Target Version 16.04 =>
2016-04-19 15:28 Nico Relationship added has duplicate 0000202


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker